WordPress.org

Support

Support » Installation » [Resolved] import-mt.php *crashing* apache?

[Resolved] import-mt.php *crashing* apache?

  • AnotherHowie

    @anotherhowie

    I have an old MT 2.661 blog that I’d like to import into a new WordPress installation. The server runs php 5.0.4, mysql 4.0.13 and apache 2.0.54. What I find is that after setting the import-mt.php script running, the apache child process actually dies outright with a segfault. At first I assumed it was a problem with my php install, but I’ve since tried the same install on my Windows desktop, running the SpikeSource WAMP stack (mysql 4.0.24, php 5.0.3 and Apache 2.0.54 ), and I get the same result.

    Is it a problem with ‘old’ MT export files, or with PHP versions? It’s not often you get to actually crash PHP…

Viewing 7 replies - 1 through 7 (of 7 total)
  • um.. how big’s your export file??

    AnotherHowie

    @anotherhowie

    It’s only 500K or so. I’ve tried doubling the memory allowance for PHP. Wouldn’t I have gotten some kind of meaningful error if it was that?

    I´d say it to be more like a problem with your import.txt.. I´ve imported 4 blogs this weekend from Movable Type to WP 1.5.2.

    Try stripping out all the categories from MT before importing, that is a thing that has caused some problems earlier to me. You could consider also upgrading your MT first, ´cause if I remember correctly, importing entries in MT was quite buggy before version 3.17

    But this is just my experience.

    AnotherHowie

    @anotherhowie

    Hmm. I just upgraded to MT 3.2 and tried again, with no change. Then stripped out all the categories (hardly used them anyway), and still no change. The rest of WordPress seems to be OK, so I don’t *think* it’s the server. Other PHP/MySQL apps do run fine.

    I’ve noticed a couple of odd characters looking though the export file. Is WordPress 8-bit clean?

    AnotherHowie

    @anotherhowie

    I’ve been playing with this some more tonight, and I’m still confused. I have a second, much smaller (20 posts) MT journal, so I’ve been testing with that. I’ve found that if I change import-mt.php to start with step=1 by default, then I actually get some of that page, dying somewhere around the part that produces the drop-down of potential authors. If I replace that whole select with a regular input field appropriately named, then I get the opportunity to get to the next page, which will then limp through an import, complaining about numerous SQL errors, like:

    Warning: in_array() [function.in-array]: Wrong datatype for second argument in /mnt/big/www/lesser-evil-test/docs/wp-admin/import-mt-hacked.php on line 166

    Warning: Cannot use a scalar value as an array in /mnt/big/www/lesser-evil-test/docs/wp-admin/import-mt-hacked.php on line 168

    Warning: Illegal offset type in unset in /mnt/big/www/lesser-evil-test/docs/wp-includes/wp-db.php on line 200
    WordPress database error: [You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND category_id = 1' at line 1]
    SELECT * FROM wp_post2cat WHERE post_id = AND category_id = 1

    It seems that there’s a problem with uncategorised posts, at least… I still don’t see how any of this would make php coredump though.

    AnotherHowie

    @anotherhowie

    Upgrading to php-5.0.5 (from 5.0.4), using the same ./configure parameters and no apache changes fixed all this. Wierd! Both blogs import perfectly.

    Nice you got it solved 🙂

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Resolved] import-mt.php *crashing* apache?’ is closed to new replies.